package com.community.pocket.ui.main.ui.garbage.sorting;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.data.main.garbage.GarbageSortingRequest;
import com.community.pocket.ui.main.ui.share.BaseViewModel;
import com.community.pocket.ui.main.ui.share.SearchViewModel;

/**
 * 垃圾分类数据管理
 */
public class GarbageSortingViewModel extends BaseViewModel<GarbageSortingRequest> implements SearchViewModel {

    //垃圾分类信息请求状态
    private MutableLiveData<GarbageSortingResponse> garbageSortingResponse = new MutableLiveData<>();

    MutableLiveData<GarbageSortingResponse> getGarbageSortingResponse() {
        return garbageSortingResponse;
    }

    @Override
    protected GarbageSortingRequest getRequest() {
        return GarbageSortingRequest.getInstance();
    }

    @Override
    public void search(String content) {
        getRequest().search(garbageSortingResponse, content);
    }
}
